Bug 40982 - switch workspaces with mousewheel
Summary: switch workspaces with mousewheel
Status: CLOSED FIXED
Alias: None
Product: kdesktop
Classification: Unclassified
Component: general (show other bugs)
Version: 3.0
Platform: unspecified Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: David Faure
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-04-14 18:03 UTC by Markus Weimer
Modified: 2002-09-16 14:43 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Markus Weimer 2002-04-14 17:59:01 UTC
(*** This bug was imported into bugs.kde.org ***)

Package:           kdesktop
Version:           3.0.0 (using KDE 3.0.0 )
Severity:          wishlist
Installed from:    Unspecified
Compiler:          gcc 2.95.4
OS:                Linux
OS/Compiler notes: debian woody

In Windowmaker there is a feature to change virtual desktops using the scrollwheel of a wheelmouse while pointing to the background.

As the desktop background has currently no "scroll" feature it would be great if kde would have a similar feature.

Maybe one could extend this in kwin to a window behaviour like "scrollwhell when nothing is to be scrolled"


(Submitted via bugs.kde.org)
Comment 1 Stephan Binner 2002-06-19 14:43:54 UTC
kdebase/kdesktop kdiconview.cc1.491.50 kdiconview.h1.151.16
Author: binner


Modified Files:
         kdiconview.cc kdiconview.h
Log Message:
Switch workspaces with mousewheel over background (#40982).
Switch workspaces with mousewheel over background.
CCMAIL: 40982-done@bugs.kde.org
Comment 2 Stephan Binner 2002-06-19 15:25:13 UTC
kdebase/kdesktop kdiconview.cc1.501.51 kdiconview.h1.161.17
Author: binner


Modified Files:
         kdiconview.cc kdiconview.h
Log Message:
Wheel workspace switching now requires
 [Mouse Buttons]
 WheelSwitchesWorkspace=true
in $KDEHOME/share/config/kdesktoprc.
CCMAIL: 40982@bugs.kde.org